<?php include_once("../include/config.php"); ?>
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title><?php echo TITLE; ?></title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="stylesheet" href="<?php echo ROOT ?>/dist/bootstrap/css/bootstrap.min.css">
<link rel="icon" type="image/png" sizes="16x16" href="<?php echo ROOT ?>/dist/img/favicon-16x16.png">
<link href="https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700" rel="stylesheet">
<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/style.css">
<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/et-line-font/et-line-font.css">
<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/themify-icons/themify-icons.css">
<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/simple-lineicon/simple-line-icons.css">
<link rel="stylesheet" href="<?php echo ROOT ?>/dist/plugins/formwizard/jquery-steps.css">
</head>
<body class="skin-blue sidebar-mini">
<div class="wrapper boxed-wrapper">
 	<?php include_once("../include/header.php"); ?>
  
  	<div class="content-wrapper"> 
		<!-- Content Header (Page header) -->
		<div class="content-header sty-one">
		  <h1>Edit Customers</h1>
		  <ol class="breadcrumb">
			<li><a href=".">Home</a></li>
			<li><i class="fa fa-angle-right"></i> Edit Customers</li>
		  </ol>
		</div>
		
		<div class="content">
		  	<?php
		  		$id	=	$_GET['id'];
				
				$sql	=	"SELECT * FROM bl_customer WHERE id='$id'";
				$res	=	mysqli_query($con, $sql) or die(mysqli_error());
				$row	=	mysqli_fetch_array($res);
				
		 	?>
		  
		  <div class="row m-t-3">
			<div class="col-lg-12">
			  <div class="card">
				<div class="card-header bg-blue">
				  <h5 class="m-b-0">Customers Details</h5>
				</div>
				<div class="card-body">
				  <form action="" name="form" method="post" class="form-horizontal form-bordered">
						<div class="form-body">
						  	<div class="form-group row">
								<label class="control-label col-md-2">Company Name</label>
								<div class="col-md-4">
							  		<input type="text" name="company_name" id="company_name" value="<?php echo $row['company_name'] ?>" class="form-control" autocomplete="off">
							  	</div>
							</div>
							<div class="form-group row">
							  	<label class="control-label  col-md-2">Contact Person</label>
								<div class="col-md-4">
							  		<input type="text" name="name" id="name" value="<?php echo $row['name'] ?>" class="form-control" autocomplete="off">
							  	</div>
						  	</div>
							<div class="form-group row">
								<label class="control-label col-md-2">GST No.</label>
								<div class="col-md-4">
							  		<input type="text" name="gst_no" id="gst_no" value="<?php echo $row['gst_no'] ?>" class="form-control" autocomplete="off">
							  	</div>
							</div>
							<div class="form-group row">
								<label class="control-label col-md-2">State</label>
								<div class="col-md-4">
							  		<input name="state" class="form-control" type="text" value="<?php echo $row['state'] ?>" autocomplete="off">
							  	</div>
							</div>
							<div class="form-group row">
							  	<label class="control-label  col-md-2">State Code</label>
								<div class="col-md-4">
							  		<input name="state_code" class="form-control" type="text" value="<?php echo $row['state_code'] ?>" autocomplete="off">
							  	</div>
						  	</div>
							
							<div class="form-group row">
								<label class="control-label col-md-2">Email</label>
								<div class="col-md-4">
							  		<input name="email" class="form-control" type="text" value="<?php echo $row['email'] ?>" autocomplete="off">
							  	</div>
							</div>
							<div class="form-group row">
							  	<label class="control-label  col-md-2">Phone No.</label>
								<div class="col-md-4">
							  		<input name="phone" class="form-control" type="text" value="<?php echo $row['phone'] ?>" required autocomplete="off">
							  	</div>
						  	</div>
							
							<div class="form-group row">
								<label class="control-label col-md-2">Address</label>
								<div class="col-md-4">
							  		<textarea name="address" class="form-control height_50"  required autocomplete="off"><?php echo $row['address'] ?></textarea>
							  	</div>
							</div>
												  					  
						</div>
						
						<div class="form-actions">
						  	<div class="row">
								<div class="col-md-12">
									<div class="row">
										<div class="col-md-12">
										  	<button type="submit"  name="submit_form" class="btn btn-success"> Submit</button>
										  	<button type="button" class="btn btn-inverse" onClick="window.location='view_customers'">Cancel</button>
										</div>
									</div>
								</div>
						  	</div>
						</div>
					
				  </form>
				  
				  	<?php
						if(isset($_POST['submit_form'])){
							$company_name	=	$_POST['company_name'];
							$gst_no			=	$_POST['gst_no'];
							$state			=	$_POST['state'];
							$state_code		=	$_POST['state_code'];
							$email			=	$_POST['email'];
							$phone			=	$_POST['phone'];
							$address		=	$_POST['address'];
							$name			=	$_POST['name'];
							
							$sql			=	"UPDATE bl_customer SET company_name='$company_name', name='$name', gst_no='$gst_no', state='$state', state_code='$state_code', email='$email', phone='$phone', address='$address' WHERE id='$id'";
							$res			=	mysqli_query($con, $sql) or die(mysqli_error());
							
							echo "<script>alert('Updated!')</script>";
							echo "<script>window.location='view_customers'</script>";
							
						}
				  	?>			  
				  
						</div>
			  		</div>
				</div>
		  	</div>
		</div>
	</div>
	  
  	<?php include_once("../include/footer.php"); ?>
</div>

<script src="<?php echo ROOT ?>/dist/js/jquery.min.js"></script> 
<script src="<?php echo ROOT ?>/dist/bootstrap/js/bootstrap.min.js"></script> 
<script src="<?php echo ROOT ?>/dist/js/adminkit.js"></script>
<script src="<?php echo ROOT ?>/dist/plugins/formwizard/jquery-steps.js"></script> 
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.16.0/jquery.validate.min.js"></script> 

</body>
</html>
