<?php include_once("../include/config.php"); ?>

<!DOCTYPE html>

<html lang="en">

<head>

<meta charset="utf-8">

<meta http-equiv="X-UA-Compatible" content="IE=edge">

<title><?php echo TITLE; ?></title>

<meta name="viewport" content="width=device-width, initial-scale=1">

<link rel="stylesheet" href="<?php echo ROOT ?>/dist/bootstrap/css/bootstrap.min.css">

<link rel="icon" type="image/png" sizes="16x16" href="<?php echo ROOT ?>/dist/img/favicon-16x16.png">

<link href="https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700" rel="stylesheet">

<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/style.css">

<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/font-awesome/css/font-awesome.min.css">

<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/et-line-font/et-line-font.css">

<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/themify-icons/themify-icons.css">

<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/simple-lineicon/simple-line-icons.css">

<link rel="stylesheet" href="<?php echo ROOT ?>/dist/plugins/formwizard/jquery-steps.css">

<style>

	.form-control {  height: 27px;  font-size: 12px !important; }

	select.form-control:not([size]):not([multiple]) { height: 27px; padding: 0px 8px; }

	.form-group { margin-bottom: 3px; }

</style>

</head>

<body class="skin-blue sidebar-mini">

<div class="wrapper boxed-wrapper">

 	<?php include_once("../include/header.php"); ?>

  

  	<div class="content-wrapper"> 

		<!-- Content Header (Page header) -->

		<div class="content-header sty-one">

		  <h1>Edit Invoice</h1>

		  <ol class="breadcrumb">

			<li><a href=".">Home</a></li>

			<li><i class="fa fa-angle-right"></i> Edit Invoice</li>

		  </ol>

		</div>

		

		<div class="content">

		  

		  

		  <div class="row m-t-0">

			<div class="col-lg-12">

			  <div class="card">

				<div class="card-header bg-blue">

				  <h5 class="m-b-0">Invoice Details</h5>

				</div>

				<?php

					$id		=	$_GET['id'];

					$sql	=	"SELECT * FROM bl_invoice WHERE id='$id'";

					$res	=	mysqli_query($con, $sql) or die(mysqli_error());

					$row	=	mysqli_fetch_array($res);				

				?>

				<div class="card-body">

				  <form action="" name="form" method="post" class="form-horizontal form-bordered">

						<div class="form-body">

						  	<div class="form-group row">

								<label class="control-label col-md-2">Select Company</label>

								<div class="col-md-2">

							  		<select name="company_id" class="form-control">

										<option value="">-Select-</option>

										<?php 

											$sql2	=	"SELECT * FROM bl_company WHERE delStatus='0'";

											$res2	=	mysqli_query($con, $sql2) or die(mysqli_error($con));

											while($row2=mysqli_fetch_array($res2)){

										?>

										<option value="<?php echo $row2['id'] ?>" <?php if($row2['id']==$row['company_id']){ ?> selected="selected" <?php } ?>><?php echo $row2['company'] ?></option>

										<?php } ?>

									</select>

							  	</div>

							  	<?php /*?><label class="control-label  col-md-2">Bill Type</label>

								<div class="col-md-4">

							  		<select name="bill_type" class="form-control">

										<option value="">-Select-</option>

										<option value="1">With GST</option>

										<option value="1">Without GST</option>

									</select>

							  	</div><?php */?>

								<label class="control-label  col-md-2">Invoice No.</label>

								<div class="col-md-2">

							  		<input name="invoice_no" class="form-control" value="<?php echo $row['invoice_no'] ?>" type="text" autocomplete="off">

							  	</div>

								

						  

							  	

								<label class="control-label col-md-2">Dated</label>

								<div class="col-md-2">

							  		<input name="invoice_date" class="form-control" value="<?php echo $row['invoice_date'] ?>" type="date" autocomplete="off">

							  	</div>

						  	</div>

							

							<div class="form-group row view_details">

								<label class="control-label col-md-2">Select Customer</label>

								<div class="col-md-4">

							  		<select name="customer_id" id="customer_id" class="form-control" required  onChange="add_customer(this.value)">

										<option value="">-Select-</option>

										<?php 

											$sql2	=	"SELECT * FROM bl_customer WHERE delStatus='0'";

											$res2	=	mysqli_query($con, $sql2) or die(mysqli_error($con));

											while($row2=mysqli_fetch_array($res2)){

										?>

										<option value="<?php echo $row2['id'] ?>" <?php if($row2['id']==$row['customer_id']){ ?> selected="selected" <?php } ?>><?php echo $row2['company_name'] ?></option>

										<?php } ?>

										<option value="add"  style="color:#FF3300; font-weight:700;">Add New + </option>

									</select>

							  	</div>

							  	

								<label class="control-label col-md-2">Delivery Note</label>

								<div class="col-md-4">

							  		<input name="delivery_note" class="form-control" value="<?php echo $row['delivery_note'] ?>" type="text" autocomplete="off">

							  	</div>

						  	</div>

							

							<div class="form-group row">

								

							  	<label class="control-label  col-md-2">Mode of Payment</label>

								<div class="col-md-4">

							  		<select name="payment_mode" class="form-control">

										<option value="">-Select-</option>

										<option value="1" <?php if($row['payment_mode']=="1"){ ?> selected="selected" <?php } ?>>Cash</option>

										<option value="2" <?php if($row['payment_mode']=="2"){ ?> selected="selected" <?php } ?>>DD</option>

										<option value="3" <?php if($row['payment_mode']=="3"){ ?> selected="selected" <?php } ?>>Cheque</option>

										<option value="4" <?php if($row['payment_mode']=="4"){ ?> selected="selected" <?php } ?>>RTGS</option>

										<option value="" <?php if($row['payment_mode']==""){ ?> selected="selected" <?php } ?>>None</option>

									</select>

							  	</div>

								<label class="control-label col-md-2">Reference No. </label>

								<div class="col-md-4">

							  		<input name="ref_no" class="form-control" type="text" value="<?php echo $row['ref_no'] ?>" autocomplete="off">

							  	</div>

						  	</div>

							

							<div class="form-group row">

								

							  	<label class="control-label  col-md-2">Reference Date</label>

								<div class="col-md-4">

							  		<input name="ref_date" class="form-control" type="date" value="<?php echo $row['ref_date'] ?>" autocomplete="off">

							  	</div>

								<label class="control-label  col-md-2">Other Reference</label>

								<div class="col-md-4">

							  		<input name="other_ref" class="form-control" type="text" value="<?php echo $row['other_ref'] ?>" autocomplete="off">

							  	</div>

								

						  	</div>

							

							<div class="form-group row">

								<label class="control-label col-md-2">Buyer's Order No</label>

								<div class="col-md-4">

							  		<input name="buyers_order" class="form-control" type="text" value="<?php echo $row['buyers_order'] ?>" autocomplete="off">

							  	</div>

							  	<label class="control-label  col-md-2">Dated</label>

								<div class="col-md-4">

							  		<input name="dated" class="form-control" type="date" value="<?php echo $row['dated'] ?>" autocomplete="off">

							  	</div>

						  	</div>

							

							

							<div class="form-group row">

								<label class="control-label col-md-2">Dispatch Doc No.</label>

								<div class="col-md-4">

							  		<input name="dispatch_doc" class="form-control" type="text" value="<?php echo $row['dispatch_doc'] ?>" autocomplete="off">

							  	</div>

							  	<label class="control-label  col-md-2">Delivery Note Date</label>

								<div class="col-md-4">

							  		<input name="delivery_note_date" class="form-control" type="text" value="<?php echo $row['delivery_note_date'] ?>" autocomplete="off">

							  	</div>

						  	</div>

							

							<div class="form-group row">

								<label class="control-label col-md-2">Dispatched through</label>

								<div class="col-md-4">

							  		<select name="dispatched_through" class="form-control">

										<option value="">-Select-</option>

										<option value="Road" <?php if($row['dispatched_through']=="Road"){ ?> selected="selected" <?php } ?>>Road</option>

										<option value="Airline" <?php if($row['dispatched_through']=="Airline"){ ?> selected="selected" <?php } ?>>Airline</option>

										<option value="Train" <?php if($row['dispatched_through']=="Train"){ ?> selected="selected" <?php } ?>>Train</option>

										<option value="" <?php if($row['dispatched_through']==""){ ?> selected="selected" <?php } ?>>None</option>

									</select>

							  	</div>

							  	<label class="control-label  col-md-2">Destination</label>

								<div class="col-md-4">

							  		<input name="destination" class="form-control" type="text" value="<?php echo $row['destination'] ?>" autocomplete="off">

							  	</div>

						  	</div>

							

							<div class="form-group row">

								<label class="control-label col-md-2">Bill of Lading/LR-RR No.</label>

								<div class="col-md-4">

							  		<input name="bill_lading" class="form-control" type="text" value="<?php echo $row['bill_lading'] ?>" autocomplete="off">

							  	</div>

							  	<label class="control-label  col-md-2">Motor Vehicle No.</label>

								<div class="col-md-4">

							  		<input name="motor_no" class="form-control" type="text" value="<?php echo $row['motor_no'] ?>" autocomplete="off">

							  	</div>

						  	</div>

							

							<div class="form-group row">

								<label class="control-label col-md-2">Terms of Delivery</label>

								<div class="col-md-4">

							  		<textarea name="terms_delivery" class="form-control height_50" ><?php echo $row['terms_delivery'] ?></textarea>

							  	</div>

							  	<label class="control-label col-md-2">Declaration</label>

								<div class="col-md-4">

							  		<textarea name="declaration" class="form-control height_50" ><?php echo $row['declaration'] ?></textarea>

							  	</div>

						  	</div>

							

					  					  

										  

							<div class="form-group row">

								<div class="col-md-12">

									<table class="table table-bordered new_tab" id="table1">
										<thead>
											<tr>
												<th class="text_center" width="3%">#</th>
												<th width="25%">Description</th>
												<th width="10%"h>HSN/SAC</th>
												<th width="10%">Quantity</th>
												<th width="10%">Rate</th>
												<th width="10%">GST</th>
												<th width="6%">Per</th>
												<th width="10%">Amount</th>
											</tr>
										</thead>
										
										<tbody>
											<?php
												$sql2	=	"SELECT * FROM bl_invoice_items WHERE in_id='$id'";
												$res2	=	mysqli_query($con, $sql2) or die(mysqli_error($con));
												$i		=	"1";
												$num2	=	mysqli_num_rows($res2);
												while($row2=mysqli_fetch_array($res2)){
												$num	=	$num2+ 1;

											?>

											<tr>

												<input type="hidden" id="num" value="<?php echo $num; ?>">

												<td class="text_center"><?php echo $i; ?></td>

												<td><input type="text" name="products[]" id="products_<?php echo $i; ?>" class="form-control products" onChange="view_date(this)" value="<?php echo $row2['products']; ?>" ></td>

												<td><input type="text" name="hsn_code[]" id="hsn_code_<?php echo $i; ?>" class="form-control" value="<?php echo $row2['hsn_code']; ?>"></td>

												<td><input type="text" name="qty[]" id="qty_<?php echo $i; ?>" value="<?php echo $row2['qty']; ?>" class="form-control"  onChange="calc_qty(this)" ></td>

												<td><input type="text" name="rate[]" id="rate_<?php echo $i; ?>" value="<?php echo $row2['rate']; ?>" class="form-control"  onChange="calc_qty(this)"></td>
												<td><input type="text" name="gst_percentage[]" id="gst_percentage_<?php echo $i; ?>" value="<?php echo $row2['gst_percentage']; ?>" class="form-control"  onChange="calc_qty(this)"></td>
												

												<td><input type="text" name="per[]" id="per_<?php echo $i; ?>" value="<?php echo $row2['per']; ?>" class="form-control"></td>

												<td><input type="text" name="amount[]" id="amount_<?php echo $i; ?>" value="<?php echo $row2['amount']; ?>" class="form-control total"  onChange="calc_qty(this)">

												

												<input type="hidden" name="gst_amt[]" id="gst_amt_<?php echo $i; ?>" value="<?php echo $row2['gst_amt']; ?>" class="form-control gst_amt"  onChange="calc_qty(this)">

												</td>

											</tr>

											<?php $i++;} ?>

											

											<?php if($num2=="0"){ ?>

											<tr>

												<input type="hidden" id="num" value="2">

												<td class="text_center">1</td>

												<td><input type="text" name="products[]" id="products_1" class="form-control products" onChange="view_date(this)" ></td>

												<td><input type="text" name="hsn_code[]" id="hsn_code_1" class="form-control"></td>

												<td><input type="text" name="qty[]" id="qty_1" value="1" class="form-control"  onChange="calc_qty(this)"></td>

												<td><input type="text" name="rate[]" id="rate_1" value="0" class="form-control"  onChange="calc_qty(this)"></td>

												<td><input type="text" name="per[]" id="per_1" value="Nos" class="form-control"></td>

												<td><input type="text" name="amount[]" id="amount_1" value="0" class="form-control total"  onChange="calc_qty(this)">

													<input type="hidden" name="gst_percentage[]" id="gst_percentage_1" value="0" class="form-control"  onChange="calc_qty(this)">

													<input type="hidden" name="gst_amt[]" id="gst_amt_1" value="0" class="form-control gst_amt"  onChange="calc_qty(this)">

												</td>

											</tr>

											<?php } ?>

											

										</tbody>

										<tfoot>

											<input type="hidden" name="tot_amt" id="tot_amt" value="<?php echo $row['tot_amt']; ?>" class="form-control" >

											<input type="hidden" name="tot_gst_amt" id="tot_gst_amt" value="<?php echo $row['tot_gst_amt']; ?>" class="form-control" >

											<input type="hidden" name="tot_cgst_amt" id="tot_cgst_amt" value="<?php echo $row['tot_cgst_amt']; ?>" class="form-control" >

											<input type="hidden" name="tot_sgst_amt" id="tot_sgst_amt" value="<?php echo $row['tot_sgst_amt']; ?>" class="form-control" >

											<input type="hidden" name="final_cost" id="final_cost" value="<?php echo $row['final_cost']; ?>" class="form-control" >

											<input type="hidden" name="sum_words" class="sum_words form-control" value="<?php echo $row['sum_words']; ?>" >

											<input type="hidden" name="tax_sum_words" value="<?php echo $row['tax_sum_words']; ?>" class="tax_sum_words form-control" >

											<tr>

												<td colspan="7" class="text_right">Total</td>

												<td id="tot_amount" class="text_bold"><?php echo $row['tot_amt']; ?></td>

											</tr>

											<tr>

												<td colspan="7" class="text_right">CGST </td>

												<td id="tot_cgst" class="text_bold"><?php echo $row['tot_cgst_amt']; ?></td>

											</tr>

											<tr>

												<td colspan="7" class="text_right">SGST </td>

												<td id="tot_sgst" class="text_bold"><?php echo $row['tot_sgst_amt']; ?></td>

											</tr>

											

											<tr>

												<td colspan="7" class="text_right">Grand Total</td>

												<td id="grand_total" class="text_bold"><?php echo $row['final_cost']; ?></td>

											</tr>

										</tfoot>

									</table>

							  	</div>

						  	</div>	

										  

						</div>

						

						

						

						

						<div class="form-actions">

						  	<div class="row">

								<div class="col-md-12">

									<div class="row">

										<div class="col-md-12">

										  	<button type="submit"  name="submit_invoice" class="btn btn-success"> Update</button>

										  	<button type="button" class="btn btn-inverse" onClick="window.location='view_invoice'">Cancel</button>

										</div>

									</div>

								</div>

						  	</div>

						</div>

					

				  </form>

				  

				  	<?php

							if(isset($_POST['submit_invoice'])){

								$company_id		=	$_POST['company_id'];

								$customer_id	=	$_POST['customer_id'];

								$invoice_no		=	$_POST['invoice_no'];

								$delivery_note	=	$_POST['delivery_note'];

								$payment_mode	=	$_POST['payment_mode'];

								

								$ref_no			=	$_POST['ref_no'];

								$ref_date		=	$_POST['ref_date'];

								$other_ref		=	$_POST['other_ref'];

								$buyers_order	=	$_POST['buyers_order'];

								$dated			=	$_POST['dated'];

								$dispatch_doc	=	$_POST['dispatch_doc'];

								

								$delivery_note_date	=	$_POST['delivery_note_date'];

								$dispatched_through	=	$_POST['dispatched_through'];

								$destination	=	$_POST['destination'];

								$bill_lading	=	$_POST['bill_lading'];

								$motor_no		=	$_POST['motor_no'];

								

								$terms_delivery	=	$_POST['terms_delivery'];

								$declaration	=	$_POST['declaration'];

								$tot_amt		=	$_POST['tot_amt'];

								$tot_gst_amt	=	$_POST['tot_gst_amt'];

								$tot_cgst_amt	=	$_POST['tot_cgst_amt'];

								

								$tot_sgst_amt	=	$_POST['tot_sgst_amt'];

								$final_cost		=	$_POST['final_cost'];

								$sum_words		=	$_POST['sum_words'];

								

								$date			=	date("Y-m-d");

								$time			=	date("H:i:s");

								

								$invoice_date	=	$_POST['invoice_date'];

								

								$tax_sum_words	=	$_POST['tax_sum_words'];

								

								$sql			=	"UPDATE bl_invoice SET company_id='$company_id', customer_id='$customer_id', invoice_no='$invoice_no', invoice_date='$invoice_date', delivery_note='$delivery_note', payment_mode='$payment_mode', ref_no='$ref_no', ref_date='$ref_date', other_ref='$other_ref', buyers_order='$buyers_order', dated='$dated', dispatch_doc='$dispatch_doc', delivery_note_date='$delivery_note_date', dispatched_through='$dispatched_through', destination='$destination', bill_lading='$bill_lading', motor_no='$motor_no', terms_delivery='$terms_delivery', declaration='$declaration', tot_amt='$tot_amt',tot_gst_amt='$tot_gst_amt', tot_cgst_amt='$tot_cgst_amt', tot_sgst_amt='$tot_sgst_amt', final_cost='$final_cost', sum_words='$sum_words', tax_sum_words='$tax_sum_words' WHERE id='$id'";

								

								$res			=	mysqli_query($con, $sql) or die(mysqli_error($con));

								$a_id			=	$_GET['id'];

								

								

								$sql2	=	"DELETE FROM bl_invoice_items WHERE in_id='$a_id'";

								$res2	=	mysqli_query($con, $sql2) or die(mysqli_error($con));

								

								

								$products		=	$_POST['products'];

								$hsn_code		=	$_POST['hsn_code'];

								$qty			=	$_POST['qty'];

								$rate			=	$_POST['rate'];

								$per			=	$_POST['per'];

								$amount			=	$_POST['amount'];

								

								$gst_percentage	=	$_POST['gst_percentage'];

								$gst_amt		=	$_POST['gst_amt'];

								

								$count				=	COUNT($products);	

																				

								

								for($i="0"; $i<=$count; $i++){

								

									$products1			=	mysqli_real_escape_string($con, $products[$i]);

									$hsn_code1			=	mysqli_real_escape_string($con, $hsn_code[$i]);

									$qty1				=	mysqli_real_escape_string($con, $qty[$i]);

									$rate1				=	mysqli_real_escape_string($con, $rate[$i]);

									$per1				=	mysqli_real_escape_string($con, $per[$i]);

									$amount1			=	mysqli_real_escape_string($con, $amount[$i]);

									$gst_percentage1	=	mysqli_real_escape_string($con, $gst_percentage[$i]);

									$gst_amt1			=	mysqli_real_escape_string($con, $gst_amt[$i]);									

									

									if($products1!=""){

										$sql	=	"INSERT INTO bl_invoice_items (in_id, products, hsn_code, qty, rate, per, amount, gst_percentage, gst_amt, delStatus) VALUES ('$a_id', '$products1', '$hsn_code1', '$qty1', '$rate1', '$per1', '$amount1', '$gst_percentage1', '$gst_amt1', '0')";

										$res	=	mysqli_query($con, $sql) or die(mysqli_error($con));

									}

								}

								

								echo "<script>alert('Updated!')</script>";

								echo "<script>window.location='view_invoice'</script>";

								

							}

						?>	  

				  

						</div>

			  		</div>

				</div>

		  	</div>

		</div>

	</div>

	  

  	<?php include_once("../include/footer.php"); ?>

</div>

<div class="view_products"></div>









<script src="<?php echo ROOT ?>/dist/js/jquery.min.js"></script> 

<script src="<?php echo ROOT ?>/dist/bootstrap/js/bootstrap.min.js"></script> 

<script src="<?php echo ROOT ?>/dist/js/adminkit.js"></script>

<script src="<?php echo ROOT ?>/dist/plugins/formwizard/jquery-steps.js"></script> 

<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.16.0/jquery.validate.min.js"></script> 





<link rel="stylesheet" href="//code.jquery.com/ui/1.13.0/themes/base/jquery-ui.css">

<script src="https://code.jquery.com/ui/1.13.0/jquery-ui.js"></script>



<script>

	$( function() {

		var availableTags = [

		<?php

			$sql2	=	"SELECT * FROM bl_products WHERE delStatus='0'";

			$res2	=	mysqli_query($con, $sql2) or die(mysqli_error());

			while($row2=mysqli_fetch_array($res2)){

		?>

		"<?php echo $row2['product']; ?>",

		<?php } ?>

		];

		$( ".products" ).autocomplete({

		source: availableTags

		});

	} );

  	</script>

	<script>

		$('#table1 tbody').on('keydown', 'input', function (e) {

			

			var index 	= 	$('#num').val();

			$lastTr 	= 	$('tr:last', $('#table1 tbody')),

			$lastTd 	= 	$('td:last', $lastTr);

			if (($(e.target).closest('td')).is($lastTd)) {		

				index++;

				

				var new_x	=	index - 1;

				

				$("#table1 tbody").append('<tr><td class="text_center">'+new_x+'</td><td><input type="text" name="products[]" id="products_'+new_x+'" class="form-control products" onChange="view_date(this)" ></td><td><input type="text" name="hsn_code[]" id="hsn_code_'+new_x+'" class="form-control"></td><td><input type="text" name="qty[]" id="qty_'+new_x+'" value="1" class="form-control"  onChange="calc_qty(this)"></td><td><input type="text" name="rate[]" id="rate_'+new_x+'" value="0" class="form-control"  onChange="calc_qty(this)"></td><td><input type="text" name="gst_percentage[]" id="gst_percentage_'+new_x+'" value="0" class="form-control" onChange="calc_qty(this)"></td><td><input type="text" name="per[]" id="per_'+new_x+'" value="Nos" class="form-control"></td><td><input type="text" name="amount[]" id="amount_'+new_x+'" value="0" class="form-control total"  onChange="calc_qty(this)"><input type="hidden" name="gst_amt[]" id="gst_amt_'+new_x+'" value="0" class="form-control gst_amt"  onChange="calc_qty(this)"></td></tr>');

				$('#num').val(index);

				

				$( function() {

					var availableTags = [

					<?php

						$sql2	=	"SELECT * FROM bl_products WHERE delStatus='0'";

						$res2	=	mysqli_query($con, $sql2) or die(mysqli_error());

						while($row2=mysqli_fetch_array($res2)){

					?>

					"<?php echo $row2['product']; ?>",

					<?php } ?>

					];

					$( ".products" ).autocomplete({

					source: availableTags

					});

				});

				

			}

			

		});		

			

		function calc_qty(element){			

			var x		=	element.parentNode.parentNode.rowIndex;

			var qty		=	$('#qty_'+x).val();

			var amount	=	$('#rate_'+x).val();

			var tot		=	parseInt(qty) * parseInt(amount);

			//alert(x);

			$('#amount_'+x).val(tot);

			

			//GST 	

			var	amt		=	$('#amount_'+x).val();

			var	tax		=	$('#gst_percentage_'+x).val();

			var gst		=	amt/100 * tax;				

			

			$('#gst_amt_'+x).val(gst);

			

			

			var calculated_total_sum = 0;

			$("#table1 .total").each(function () {

			var get_textbox_value = $(this).val();

			if ($.isNumeric(get_textbox_value)) { calculated_total_sum += parseFloat(get_textbox_value); } });

			

			var calculated_total_sum = parseFloat(calculated_total_sum).toFixed(2);

			$("#tot_amount").html(calculated_total_sum);

			$("#tot_amt").val(calculated_total_sum);

			

			

			

			var calculated_total_sum2 = 0;

			$("#table1 .gst_amt").each(function () {

			var get_textbox_value2 = $(this).val();

			if ($.isNumeric(get_textbox_value2)) { calculated_total_sum2 += parseFloat(get_textbox_value2); } });

			

			var calculated_total_sum2 = parseFloat(calculated_total_sum2).toFixed(2);

			$("#tot_gst").html(calculated_total_sum2);

			$("#tot_gst_amt").val(calculated_total_sum2);

			

			var cgst	=	calculated_total_sum2/2;

			var cgst	=	parseFloat(cgst).toFixed(2);

			$("#tot_cgst").html(cgst);

			$('#tot_cgst_amt').val(cgst);

			

			var sgst	=	calculated_total_sum2/2;

			var sgst	=	parseFloat(sgst).toFixed(2);

			$("#tot_sgst").html(sgst);

			$('#tot_sgst_amt').val(sgst);

			

			var tot_amt			=	$('#tot_amt').val();

			var tot_gst_amt		=	$('#tot_gst_amt').val();

			

			var f_amt			=	parseInt(tot_amt) + parseInt(tot_gst_amt);

			

			var f_amt			=	parseFloat(f_amt).toFixed(2);

			

			$('#final_cost').val(f_amt);

			$("#grand_total").html(f_amt);

			

			testSkill();

			testSkill2();

			

		}

		

		

		

		function calc_qty2(id){			

			var x		=	id;

			var qty		=	$('#qty_'+x).val();

			var amount	=	$('#rate_'+x).val();

			var tot		=	parseInt(qty) * parseInt(amount);

			//alert(x);

			$('#amount_'+x).val(tot);

			

			//GST 	

			var	amt		=	$('#amount_'+x).val();

			var	tax		=	$('#gst_percentage_'+x).val();

			var gst		=	amt/100 * tax;				

			

			$('#gst_amt_'+x).val(gst);

			

			

			var calculated_total_sum = 0;

			$("#table1 .total").each(function () {

			var get_textbox_value = $(this).val();

			if ($.isNumeric(get_textbox_value)) { calculated_total_sum += parseFloat(get_textbox_value); } });

			

			var calculated_total_sum = parseFloat(calculated_total_sum).toFixed(2);

			$("#tot_amount").html(calculated_total_sum);

			$("#tot_amt").val(calculated_total_sum);

			

			

			

			var calculated_total_sum2 = 0;

			$("#table1 .gst_amt").each(function () {

			var get_textbox_value2 = $(this).val();

			if ($.isNumeric(get_textbox_value2)) { calculated_total_sum2 += parseFloat(get_textbox_value2); } });

			

			var calculated_total_sum2 = parseFloat(calculated_total_sum2).toFixed(2);

			$("#tot_gst").html(calculated_total_sum2);

			$("#tot_gst_amt").val(calculated_total_sum2);

			

			

			//tax cgst, sgst

			var cgst	=	calculated_total_sum2/2;

			var cgst	=	parseFloat(cgst).toFixed(2);

			$("#tot_cgst").html(cgst);

			$('#tot_cgst_amt').val(cgst);

			

			var sgst	=	calculated_total_sum2/2;

			var sgst	=	parseFloat(sgst).toFixed(2);

			$("#tot_sgst").html(sgst);

			$('#tot_sgst_amt').val(sgst);

			

			

			

			var tot_amt			=	$('#tot_amt').val();

			var tot_gst_amt		=	$('#tot_gst_amt').val();

			

			var f_amt			=	parseInt(tot_amt) + parseInt(tot_gst_amt);

			

			var f_amt			=	parseFloat(f_amt).toFixed(2);

			

			$('#final_cost').val(f_amt);

			$("#grand_total").html(f_amt);

			

			testSkill();

			testSkill2();

			

		}

		

		

		

		

	

		function view_date(element){

			var x		=	element.parentNode.parentNode.rowIndex;

			var products	=	$('#products_'+x).val();

			//alert(products);

			

			$.ajax({

				url		:	'ajax.php',

				type	:	'POST',

				data	:	{ 'products_name' : products, 'var_x' : x },

				success	:	function(data) {

					//alert(data);

					$('.view_products').html(data);

					

				}

			});

			

		}

	

	

		function add_customer(id){

			

			if(id=="add"){

				//alert(id);		

				$(".add_cus").modal('show');

			}		

			

		}

		

		function add_customer_details(){		

		

			

			

				

			var company_name	=	$('#company_name').val();

			if(company_name==""){

				alert('Please enter company name!!!');

				return false;

			}

			

			

			var gst_no			=	$('#gst_no').val();

			var state			=	$('#state').val();

			var state_code		=	$('#state_code').val();

			var email			=	$('#email').val();

			var phone			=	$('#phone').val();

			var address			=	$('#address').val();

			var name			=	$('#name').val();

			

			$.ajax({

				url		:	'ajax.php',

				type	:	'POST',

				data	:	{ 'company_name' : company_name, 'name' : name, 'gst_no' : gst_no, 'state' : state, 'state_code' : state_code, 'email' : email, 'phone' : phone, 'address' : address },

				success	:	function(data) {

					//alert(data);

					$('.view_details').html(data);

				}

			});

		}

	</script>

	

	

	<script>

	

	//American Numbering System	

	var th = ['', 'Thousand', 'Million', 'Billion', 'Trillion'];	

	var dg = ['Zero', 'One', 'Two', 'Three', 'Four', 'Five', 'Six', 'Seven', 'Eight', 'Nine'];	

	var tn = ['Ten', 'Eleven', 'Twelve', 'Thirteen', 'Fourteen', 'Fifteen', 'Sixteen', 'Seventeen', 'Eighteen', 'Nineteen'];	

	var tw = ['Twenty', 'Thirty', 'Forty', 'Fifty', 'Sixty', 'Seventy', 'Eighty', 'Ninety'];	

	

	function testSkill() {

		

		var s 	=	$('#final_cost').val();	

		var s	=	parseFloat(s).toFixed(0);

		//alert(s);	

		s = s.toString();

		s = s.replace(/[\, ]/g, '');

		if (s != parseFloat(s)) return 'not a number';	

		var x = s.indexOf('.');	

		if (x == -1) x = s.length;

		if (x > 15) return 'too big';	

		var n = s.split('');	

		var str = '';	

		var sk = 0;	

		for (var i = 0; i < x; i++) {	

			if ((x - i) % 3 == 2) {	

				if (n[i] == '1') {	

					str += tn[Number(n[i + 1])] + ' ';	

					i++;	

					sk = 1;	

				} else if (n[i] != 0) {	

					str += tw[n[i] - 2] + ' ';	

					sk = 1;	

				}	

			} else if (n[i] != 0) {	

				str += dg[n[i]] + ' ';

				if ((x - i) % 3 == 0) str += 'Hundred ';	

				sk = 1;	

			}	

			if ((x - i) % 3 == 1) {	

				if (sk) str += th[(x - i - 1) / 3] + ' ';	

				sk = 0;	

			}

		}

		if (x != s.length) {

			var y = s.length;

			str += 'point ';	

			for (var i = x + 1; i < y; i++) str += dg[n[i]] + ' ';	

		}	

		var x	=	 str.replace(/\s+/g, ' ');	

		//alert(x);	

		$('.sum_words').val(x+"Rupees Only");	

	    return str.replace(/\s+/g, ' ');	

	   

	}

	

	

	function testSkill2() {

		

		var s 	=	$('#tot_gst_amt').val();	

		var s	=	parseFloat(s).toFixed(0);

		//alert(s);	

		s = s.toString();

		s = s.replace(/[\, ]/g, '');

		if (s != parseFloat(s)) return 'not a number';	

		var x = s.indexOf('.');	

		if (x == -1) x = s.length;

		if (x > 15) return 'too big';	

		var n = s.split('');	

		var str = '';	

		var sk = 0;	

		for (var i = 0; i < x; i++) {	

			if ((x - i) % 3 == 2) {	

				if (n[i] == '1') {	

					str += tn[Number(n[i + 1])] + ' ';	

					i++;	

					sk = 1;	

				} else if (n[i] != 0) {	

					str += tw[n[i] - 2] + ' ';	

					sk = 1;	

				}	

			} else if (n[i] != 0) {	

				str += dg[n[i]] + ' ';

				if ((x - i) % 3 == 0) str += 'Hundred ';	

				sk = 1;	

			}	

			if ((x - i) % 3 == 1) {	

				if (sk) str += th[(x - i - 1) / 3] + ' ';	

				sk = 0;	

			}

		}

		if (x != s.length) {

			var y = s.length;

			str += 'point ';	

			for (var i = x + 1; i < y; i++) str += dg[n[i]] + ' ';	

		}	

		var x	=	 str.replace(/\s+/g, ' ');	

		//alert(x);	

		$('.tax_sum_words').val(x+"Rupees Only");	

	    return str.replace(/\s+/g, ' ');	

	   

	}

	

</script>

	

<div class="modal fade add_cus" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">

	<div class="modal-dialog" role="document">

		<div class="modal-content">

			<div class="modal-header">

				<h5 class="modal-title" id="exampleModalLabel">Add Customer</h5>

				<button type="button" class="close" data-dismiss="modal" aria-label="Close">

					<span aria-hidden="true">&times;</span>

				</button>

			</div>

			<div class="modal-body">

				<form name="form1" method="post" action="" >

					<table class="table n_tan">	

						

						<tr>

							<td width="40%">Company </td>

							<td><input type="text" name="company_name" id="company_name" value="" class="form-control" autocomplete="off"></td>

						</tr>

						<tr>

							<td width="40%">Contact Person </td>

							<td><input type="text" name="name" id="name" value="" class="form-control" autocomplete="off"></td>

						</tr>

						<tr>

							<td width="40%">GST No.</td>

							<td><input type="text" name="gst_no" id="gst_no" value="" class="form-control" autocomplete="off"></td>

						</tr>

					

						<tr>

							<td>State</td> 

							<td><input type="text" name="state" id="state" value="" class="form-control" autocomplete="off"></td>

						</tr>

						<tr>

							<td>State Code</td>

							<td><input type="text" name="state_code" id="state_code" value="" class="form-control" autocomplete="off"></td>

						</tr>

						<tr>

							<td>Email</td>

							<td><input type="text" name="email" id="email" value="" class="form-control" autocomplete="off"></td>

						</tr>

						<tr>

							<td>Phone</td>

							<td><input type="text" name="phone" id="phone" value="" class="form-control" autocomplete="off"></td>

						</tr>

						<tr>

							<td>Address</td>

							<td>

								<textarea name="address" id="address" class="form-control"></textarea>

							</td>

						</tr>

					

					</table>

				</form>

			</div>

			<div class="modal-footer">

				<button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>

				<button type="button" class="btn btn-primary" onClick="return add_customer_details()">Add</button>

			</div>

		</div>

	</div>

</div>	

	

	





</body>

</html>

