<?php include_once("../include/config.php"); ?>

<!DOCTYPE html>

<html lang="en">

<head>

<meta charset="utf-8">

<meta http-equiv="X-UA-Compatible" content="IE=edge">

<title><?php echo TITLE; ?></title>

<meta name="viewport" content="width=device-width, initial-scale=1">

<link rel="stylesheet" href="<?php echo ROOT ?>/dist/bootstrap/css/bootstrap.min.css">

<link rel="icon" type="image/png" sizes="16x16" href="<?php echo ROOT ?>/dist/img/favicon-16x16.png">

<link href="https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700" rel="stylesheet">

<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/style.css">

<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/font-awesome/css/font-awesome.min.css">

<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/et-line-font/et-line-font.css">

<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/themify-icons/themify-icons.css">

<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/simple-lineicon/simple-line-icons.css">

<link rel="stylesheet" href="<?php echo ROOT ?>/dist/plugins/formwizard/jquery-steps.css">

</head>

<style>

	.table-bordered>thead>tr>th, .table-bordered>tbody>tr>th, .table-bordered>tfoot>tr>th, .table-bordered>thead>tr>td, .table-bordered>tbody>tr>td, .table-bordered>tfoot>tr>td { border: 1px solid #818181 !important; }

	.table td, .table th { padding: 0px; }

	.table b{ font-size:15px; color:#000;}

	.table-bordered>thead>tr>th, .table-bordered>tbody>tr>th, .table-bordered>tfoot>tr>th, .table-bordered>thead>tr>td, .table-bordered>tbody>tr>td, .table-bordered>tfoot>tr>td { font-size: 14px !important; }

	.table-bordered>tbody>tr>th{ font-weight:600; }

	.table_bor td, .table_bor th{ border: none !important; border-right:1px solid #818181 !important;}

	.account_bank{  font-size: 13px; line-height: 22px;}

</style>

<body class="skin-blue sidebar-mini">

<div class="wrapper boxed-wrapper">

 	<?php include_once("../include/header.php"); ?>

  

  	<div class="content-wrapper"> 

		<!-- Content Header (Page header) -->

		<div class="content-header sty-one">

		  <h1>Print Invoice</h1>		  

		</div>

		

		<div class="content">

		  	<?php

				$id		=	$_GET['id'];

				$sql	=	"SELECT i.*, c.company, c.gst, c.state, c.code, c.email, c.address, cs.company_name, cs.name, cs.gst_no as gst_no2, cs.state as state2, cs.state_code, cs.email as email2,  cs.address as address2, p.payment_mode, c.bank, c.acount_holder, c.account_no, c.branch, c.account_type, c.ifsc_code

							FROM bl_invoice i

							LEFT JOIN bl_company c ON c.id=i.company_id

							LEFT JOIN bl_customer cs ON cs.id=i.customer_id

							LEFT JOIN bl_payment p ON p.id=i.payment_mode

							WHERE i.id='$id'";

				$res	=	mysqli_query($con, $sql) or die(mysqli_error($con));

				$i		=	"1";

				$row	=	mysqli_fetch_array($res);

			?>

		  

		  	<div class="row m-t-3">

				<div class="col-lg-12">

			  		<div class="card">				

						<div class="card-body print_area" id="fullWidth">

							

				  

				   			<h3 style="width:100%; text-align:center; font-weight:600; color:#000; ">Invoice</h3>

				  			<table class="table table-bordered" style="border:1px solid #ccc; font-size: 13px; line-height: 25px;color: #000;">

								<tr>

									<td width="50%">

										<table class="table  " style="margin-bottom:0px; border:none !important">

											<tr>

												<td style="padding:10px; border-bottom:1px solid #818181 !important; border:none; ">

													<b style="font-size:16px; margin-bottom: 8px; float: left; width: 100%;"><?php echo $row['company']; ?></b><br>

													<span style="width: 330px; float: left;"><?php echo $row['address']; ?></span>

													<?php if($row['gst']!=""){ ?>

														<span style="width:100%; float:left;">GSTIN/UIN: <?php echo $row['gst']; ?></span>

													<?php } ?>

													<?php if($row['state']!=""){ ?>

														<span style="width:100%; float:left;">State Name: <?php echo $row['state']; ?>, Code: <?php echo $row['code']; ?></span>

													<?php } ?>

													<?php if($row['email']!=""){ ?>

														<span style="width:100%; float:left;">Email: <?php echo $row['email']; ?></span>

													<?php } ?>

												</td>

											</tr>

											<tr>

												<td style="padding:10px;  border-bottom:1px solid #fff !important; border:none;">

													<?php if($row['company_name']!=""){ ?>

													<b style="font-size:16px; margin-bottom: 8px; float: left; width: 100%;"><?php echo $row['company_name']; ?></b><br>

													<?php } ?>

													<?php if($row['name']!=""){ ?>

														<span style="width: 100%; float: left;"><?php echo $row['name']; ?></span>

													<?php } ?>

													<span style="width: 230px; float: left;"><?php echo $row['address2']; ?></span>

													<?php if($row['gst2']!=""){ ?>

														<span style="width:100%; float:left;">GSTIN/UIN: <?php echo $row['gst2']; ?></span>

													<?php } ?>

													<?php if($row['state2']!=""){ ?>

														<span style="width:100%; float:left;">State Name: <?php echo $row['state2']; ?>, Code: <?php echo $row['state_code']; ?></span>

													<?php } ?>

													<?php if($row['email2']!=""){ ?>

														<span style="width:100%; float:left;">Email: <?php echo $row['email2']; ?></span>

													<?php } ?>

												</td>

											</tr>

										</table>	

									</td>

									<td width="50%">

										<table class="table table-bordered" style=" line-height: 22px; margin-bottom:0px; border:none !important">

											<tr>

												<td width="50%" style="padding:5px; border-left:none !important; border-top:none !important; ">

													Invoice No.<br>

													<b><?php echo $row['invoice_no'] ?></b>

												</td>

												<td style="padding:5px; border-right:none !important; border-top:none !important;">

													Dated <br>

													<b><?php echo date("d-M-Y", strtotime($row['invoice_date'])) ?></b>

												</td>

											</tr>

											<tr>

												<td style="padding:5px; border-left:none !important;">

													Delivery Note<br>

													<b><?php echo $row['delivery_note'] ?></b>

												</td>

												<td style="padding:5px; border-right:none !important;">

													Mode/Terms of Payment <br>

													<b><?php echo $row['payment_mode']; ?></b>

												</td>

											</tr>

											<tr>

												<td style="padding:5px; border-left:none !important;">

													Reference No. & Date<br>

													<?php if($row['ref_no']!=""){ ?>

														<b>

															<?php if($row['ref_date']!=""){ ?>

																<?php echo $row['ref_no'].", ".date("d-M-Y", strtotime($row['ref_date'])); ?>

															<?php } else { ?>

																<?php echo $row['ref_no']; ?>

															<?php } ?>

														</b>

													<?php } ?>

												</td>

												<td style="padding:5px; border-right:none !important;">

													Other Reference <br>

													<b><?php echo $row['other_ref']; ?></b>

												</td>

											</tr>

											

											

											<tr>

												<td style="padding:5px; border-left:none !important;">

													Buyer's Order No<br>

													<b><?php echo $row['buyers_order']; ?></b>

												</td>

												<td style="padding:5px; border-right:none !important;">

													Dated <br>

													<?php if($row['dated']!=""){ ?>

													<b><?php echo date("d-M-Y", strtotime($row['dated'])); ?></b>

													<?php } ?>

												</td>

											</tr>

											<tr>

												<td style="padding:5px; border-left:none !important;">

													Dispatch Doc No.<br>

													<b><?php echo $row['dispatch_doc']; ?></b>

												</td>

												<td style="padding:5px; border-right:none !important;">

													Delivery Note Date <br>

													<b><?php echo $row['delivery_note_date']; ?></b>

												</td>

											</tr>

											<tr>

												<td style="padding:5px; border-left:none !important;">

													Dispatched through<br>

													<b><?php echo $row['dispatched_through']; ?></b>

												</td>

												<td style="padding:5px; border-right:none !important;">

													Destination<br>

													<b><?php echo $row['destination']; ?></b>

												</td>

											</tr>

											

											<tr>

												<td style="padding:5px; border-left:none !important;">

													Bill of Lading/LR-RR No.<br>

													<b><?php echo $row['bill_lading']; ?></b>

												</td>

												<td style="padding:5px; border-right:none !important;">

													Motor Vehicle No.<br>

													<b><?php echo $row['motor_no']; ?></b>

												</td>

											</tr>

											

											<tr>

												<td style="padding:5px; min-height:50px; border-left:none !important; border-bottom:none !important;" colspan="2">

													Terms of Delivery<br>

													<b style="float:left; width:100%; min-height:50px;"><?php echo $row['terms_delivery']; ?></b>

												</td>

												

											</tr>

											

											

										</table>									

									</td>

								</tr>

								<tr>

									<td colspan="2">

										<table class="table table_bor" style="margin-bottom:0px;" cellpadding="0" cellspacing="0">

											<tr>

												<th style="padding:5px; border-bottom:1px solid #818181 !important;" width="6%">Sl No.</th>

												<th style="padding:5px; border-bottom:1px solid #818181 !important;" width="39%">Description</th>

												<th style="padding:5px; border-bottom:1px solid #818181 !important;" width="10%">HSN/SAC</th>

												<th style="padding:5px; border-bottom:1px solid #818181 !important;" width="10%">Quantity</th>

												<th style="padding:5px; border-bottom:1px solid #818181 !important;" width="10%">Rate</th>

												<th style="padding:5px; border-bottom:1px solid #818181 !important;" width="5%">per</th>

												<th style="padding:5px; border-bottom:1px solid #818181 !important;  border-right: none !important;" width="10%">Amount</th>

											</tr>

											

											<?php

												$sql2	=	"SELECT * FROM bl_invoice_items WHERE in_id='$id'";

												$res2	=	mysqli_query($con, $sql2) or die(mysqli_error($con));

												$j		=	"1";

												while($row2=mysqli_fetch_array($res2)){

											?>

											<tr>

												<td width="6%" style="padding:5px; "><?php echo $j; ?></td>

												<td width="35%" style="padding:5px;"><?php echo $row2['products']; ?></td>

												<td width="10%" style="padding:5px; "><?php echo $row2['hsn_code']; ?></td>

												<td width="10%" style="padding:5px; "><?php echo $row2['qty']; ?></td>

												<td width="10%" style="padding:5px;"><?php echo $row2['rate']; ?></td>

												<td width="5%" style="padding:5px;"><?php echo $row2['per']; ?></td>

												<td width="10%" style="padding:5px;"><?php echo $row2['amount']; ?></td>

											</tr>

											<?php $j++; } ?>

											<?php /*?><tr>

												<td></td>

												<td style="text-align:right; padding:5px; font-weight:700;">Total</td>

												<td></td>

												<td></td>

												<td></td>

												<td></td>

												<td style="padding:5px; font-weight:700; "><?php echo $row['tot_amt']; ?></td>

											</tr><?php */?>

											<tr>

												<td></td>

												<td style="text-align:right; padding:5px; font-weight:700; ">CGST</td>

												<td></td>

												<td></td>

												<td></td>

												<td></td>

												<td style="padding:5px; font-weight:700;"><?php echo $row['tot_cgst_amt']; ?></td>

											</tr>

											<tr>

												<td></td>

												<td style="text-align:right; padding:5px; font-weight:700; ">SGST</td>

												<td></td>

												<td></td>

												<td></td>

												<td></td>

												<td style="padding:5px; font-weight:700;"><?php echo $row['tot_sgst_amt']; ?></td>

											</tr>

											<tr>

												<td style=" border-top:1px solid #818181 !important;"></td>

												<td style="text-align:right; padding:5px; font-weight:700;  border-top:1px solid #818181 !important;">Grand Total</td>

												<td style=" border-top:1px solid #818181 !important;"></td>

												<td style=" border-top:1px solid #818181 !important;"></td>

												<td style=" border-top:1px solid #818181 !important;"></td>

												<td style=" border-top:1px solid #818181 !important;"></td>

												<td style="padding:5px; font-weight:700; border-top:1px solid #818181 !important;"><i class="fa fa-inr" aria-hidden="true"></i>

 <?php echo $row['final_cost']; ?></td>

											</tr>

										</table>	

									</td>

								</tr>

								<tr>

									<td colspan="2" style="padding:5px;">

										Amount Chargeable(in words): <b><?php echo $row['sum_words']; ?></b>

										<span style="float:right;"> E. & O.E</span>

										

									</td>

								</tr>

								

								<tr>

									<td colspan="2">

										<table class="table table-bordered" style="margin-bottom:0px;">

											<tr>

												<th rowspan="2" width="30%" style="padding:5px; text-align:center; border-top: none !important;  border-left: none !important;">HSN/SAC</th>

												<th rowspan="2" width="10%" style="padding:5px; text-align:center; border-top: none !important;">Taxable<br>Value</th>

												<th colspan="2" width="15%" style="padding:5px; text-align:center; border-top: none !important;">Central Tax</th>

												<th colspan="2" width="15%" style="padding:5px; text-align:center; border-top: none !important;">State Tax</th>

												<th rowspan="2" width="10%" style="padding:5px; text-align:center; border-top: none !important; border-right: none !important;">Total<br>Tax Amount</th>

											</tr>

											<tr>												

												<th style="padding:5px; text-align:center;  border-left: none !important;" width="10%">Rate</th>

												<th style="padding:5px; text-align:center;" width="10%">Amount</th>

												<th style="padding:5px; text-align:center;" width="10%">Rate</th>

												<th style="padding:5px; text-align:center;  border-right: none !important;" width="10%">Amount</th>

											</tr>

											<?php

												$sql2	=	"SELECT * FROM bl_invoice_items WHERE in_id='$id'";

												$res2	=	mysqli_query($con, $sql2) or die(mysqli_error($con));

												$k		=	"1";

												while($row2=mysqli_fetch_array($res2)){

													$gst		=	$row2['gst_percentage']/2;

													$gst_amt	=	$row2['gst_amt']/2;

													$tot		=	$row2['amount'] + $row2['gst_amt'];

											?>

											<tr>

												<td style="padding:2px ​5px; text-align:center ;  border-left: none !important;">

													<?php echo $row2['hsn_code']; ?>

													<?php /*?><?php echo $row2['hsn_code']." [ ".$row2['products']." ]"; ?><?php */?>

												</td>

												<td style="padding:2px ​5px; text-align:center;  border-left: none !important;"><?php echo $row2['amount']; ?></td>

												<td style="padding:2px ​5px; text-align:center;"><?php echo round($gst, 2)."%"; ?></td>

												<td style="padding:2px ​5px; text-align:center;"><?php echo round($gst_amt, 2); ?></td>

												<td style="padding:2px ​5px; text-align:center;"><?php echo round($gst, 2)."%"; ?></td>

												<td style="padding:2px ​5px; text-align:center;"><?php echo round($gst_amt, 2); ?></td>

												<td style="padding:2px ​5px; text-align:center ;  border-right: none !important;"><?php echo round($row2['gst_amt'], 2); ?></td>

											</tr>											

											<?php $k++; } ?>

											<tr>

												<td style="text-align:right; padding:5px; font-weight:600;  border-left: none !important;  border-bottom: none !important;">Total</td>

												<td style="padding:5px; text-align:center; font-weight:600;  border-bottom: none !important;"><?php echo round($row['tot_amt'], 2); ?></td>

												<td style="padding:5px; text-align:center; font-weight:600;  border-bottom: none !important;"></td>

												<td style="padding:5px; text-align:center; font-weight:600;  border-bottom: none !important;"><?php echo round($row['tot_cgst_amt'], 2); ?></td>

												<td style="padding:5px; text-align:center; font-weight:600;  border-bottom: none !important;"></td>

												<td style="padding:5px; text-align:center; font-weight:600;  border-bottom: none !important;"><?php echo round($row['tot_sgst_amt'], 2); ?></td>

												<td style="padding:5px; text-align:center; font-weight:600;  border-bottom: none !important; border-right: none !important; "><?php echo round($row['tot_gst_amt'], 2); ?></td>

											</tr>

										</table>

									</td>

								</tr>

								<tr>

									<td colspan="2" style="padding:5px;">

										Tax Amount (in words): <b><?php echo $row['tax_sum_words']; ?></b>

									</td>

								</tr>

								<tr>

									<td style="padding:5px;">

										<u>Declaration</u><br>

										<?php echo $row['declaration']; ?>

									</td>

									<td style="padding:5px; text-align:center;">

										<span><i>For <?php echo $row['company']; ?></i></span><br><br><br>

										<span>Authorised Signatory</span>

									</td>

								</tr>

								

								<tr>

									<td style="padding:5px;" colspan="2">

										<u>Bank Account Details</u><br>

										<b><?php echo $row['company']; ?></b>

										<?php if($row['bank']!=""){ ?>										

										<p class="account_bank">

											A/c No: <?php echo $row['account_no']; ?><br>

											Bank: <?php echo $row['bank']; ?><br>

											IFSC: <?php echo $row['ifsc_code']; ?><br>

											Branch: <?php echo $row['branch']; ?>

											

										</p>

										<?php } ?>

									</td>

								</tr>

								

							</table>

							<h3 style=" font-size: 13px; text-align: center; width: 100%; float: initial; font-weight: normal; color: #383838;">This is a Computer Generated Invoice</h3>

						</div>

						

						<div style="width:100%; text-align:center; float:left; margin-bottom:15px; ">

							<a class="btn btn-danger btn-xs" onClick="printDiv('fullWidth');" style="color:#fff; ">Print</a>

							

						</div>

						

			  		</div>

				</div>

		  	</div>

		</div>

	</div>

	  

  	<?php include_once("../include/footer.php"); ?>

</div>



<script src="<?php echo ROOT ?>/dist/js/jquery.min.js"></script> 

<script src="<?php echo ROOT ?>/dist/bootstrap/js/bootstrap.min.js"></script> 

<script src="<?php echo ROOT ?>/dist/js/adminkit.js"></script>

<script src="<?php echo ROOT ?>/dist/plugins/formwizard/jquery-steps.js"></script> 

<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.16.0/jquery.validate.min.js"></script> 



<script>

	function printDiv(divID) {

		var divElements = document.getElementById(divID).innerHTML;

		var oldPage = document.body.innerHTML;

		document.body.innerHTML = 

		  "<html><head><title></title></head><body>" + 

		  divElements + "</body>";

		window.print();

		document.body.innerHTML = oldPage;

	}

</script>







</body>

</html>

