<?php include_once("../include/config.php"); ?>

<!DOCTYPE html>

<html lang="en">

<head>

<meta charset="utf-8">

<meta http-equiv="X-UA-Compatible" content="IE=edge">

<title><?php echo TITLE; ?></title>

<meta name="viewport" content="width=device-width, initial-scale=1">

<link rel="stylesheet" href="<?php echo ROOT ?>/dist/bootstrap/css/bootstrap.min.css">

<link rel="icon" type="image/png" sizes="16x16" href="<?php echo ROOT ?>/dist/img/favicon-16x16.png">

<link href="https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700" rel="stylesheet">

<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/style.css">

<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/font-awesome/css/font-awesome.min.css">

<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/et-line-font/et-line-font.css">

<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/themify-icons/themify-icons.css">

<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/simple-lineicon/simple-line-icons.css">

<link rel="stylesheet" href="<?php echo ROOT ?>/dist/plugins/formwizard/jquery-steps.css">

</head>

<style>

	.table-bordered>thead>tr>th, .table-bordered>tbody>tr>th, .table-bordered>tfoot>tr>th, .table-bordered>thead>tr>td, .table-bordered>tbody>tr>td, .table-bordered>tfoot>tr>td { border: 1px solid #818181 !important; }

	.table td, .table th { padding: 0px; }

	.table b{ font-size:15px; color:#000;}

	.table-bordered>thead>tr>th, .table-bordered>tbody>tr>th, .table-bordered>tfoot>tr>th, .table-bordered>thead>tr>td, .table-bordered>tbody>tr>td, .table-bordered>tfoot>tr>td { font-size: 14px !important; }

	.table-bordered>tbody>tr>th{ font-weight:600; }

	.table_bor td, .table_bor th{ border: none !important; border-right:1px solid #818181 !important;}

	.account_bank{  font-size: 13px; line-height: 22px;}

	p { margin-top: 0; margin-bottom: 0rem;}

</style>

<body class="skin-blue sidebar-mini">

<div class="wrapper boxed-wrapper">

 	<?php include_once("../include/header.php"); ?>

  

  	<div class="content-wrapper"> 

		<!-- Content Header (Page header) -->

		<div class="content-header sty-one">

		  <h1>Print Invoice</h1>		  

		</div>

		

		<div class="content">

		  	<?php

				$id		=	$_GET['id'];

				$sql	=	"SELECT b.*, c.company, c.gst, c.state, c.code, c.email, c.address, cs.company_name, cs.name, cs.gst_no as gst_no2, cs.state as state2, cs.state_code, cs.email as email2,  cs.address as address2,  c.bank, c.acount_holder, c.account_no, c.branch, c.account_type, c.ifsc_code

							FROM bl_bill b

							LEFT JOIN bl_company c ON c.id=b.company_id

							LEFT JOIN bl_customer cs ON cs.id=b.customer_id

							WHERE b.id='$id'";

				$res	=	mysqli_query($con, $sql) or die(mysqli_error($con));

				$i		=	"1";

				$row	=	mysqli_fetch_array($res);

			?>

		  

		  	<div class="row m-t-3">

				<div class="col-lg-12">

			  		<div class="card">				

						<div class="card-body print_area" id="fullWidth">

							

				  

				   			<h3 style="width:100%; text-align:center; font-weight:600; color:#000; ">Bill</h3>

				  			<table class="table table-bordered" style="border:1px solid #ccc; font-size: 13px; line-height: 21px; color: #000;">

								<tr>

									<td colspan="2" style="text-align:center; padding:10px 10px;">

										<b style="font-size: 23px; margin-bottom: 15px; float: left; width: 100%; margin-top: 10px;"><?php echo $row['company']; ?></b><br>

										<span style="width: 100%; float:left;">

											<span style="width:290px; margin:auto; display: flex;">

												<?php echo $row['address']; ?>

											</span>

										</span>										

										<?php if($row['email']!=""){ ?>

											<span style="width:100%; float:left;">Email: <?php echo $row['email']; ?></span>

										<?php } ?>

									</td>

								</tr>

								<tr>

									<td width="50%" style="padding:8px; ">

										

										<b>To,</b><br>

										<?php if($row['company_name']!=""){ ?>

										<b style="font-size:16px; margin-bottom: 8px; float: left; width: 100%;"><?php echo $row['company_name']; ?></b><br>

										<?php } ?>

										<?php if($row['name']!=""){ ?>

											<span style="width: 100%; float: left;"><?php echo $row['name']; ?></span>

										<?php } ?>

										<span style="width: 230px; float: left;"><?php echo $row['address2']; ?></span>

										<?php if($row['gst2']!=""){ ?>

											<span style="width:100%; float:left;">GSTIN/UIN: <?php echo $row['gst2']; ?></span>

										<?php } ?>

										<?php if($row['state2']!=""){ ?>

											<span style="width:100%; float:left;">State Name: <?php echo $row['state2']; ?>, Code: <?php echo $row['state_code']; ?></span>

										<?php } ?>

										<?php if($row['email2']!=""){ ?>

											<span style="width:100%; float:left;">Email: <?php echo $row['email2']; ?></span>

										<?php } ?>

											

									</td>

									

									<td width="50%" style="padding:8px; text-align:right;  ">

										

										Bill No: <b> <?php echo $row['bill_no'] ?></b> <br>

								

										Date: <b> <?php echo date("d-M-Y", strtotime($row['invoice_date'])) ?></b>

																		

									</td>

								</tr>

								<tr>

									<td colspan="2">

										<table class="table table_bor" style="margin-bottom:0px;" cellpadding="0" cellspacing="0">

											<tr>

												<th style="padding:5px; border-bottom:1px solid #818181 !important;" width="3%">Sl No.</th>

												<th style="padding:5px; border-bottom:1px solid #818181 !important;" width="44%">Description</th>

												

												<th class="text-center" style="padding:5px; border-bottom:1px solid #818181 !important;" width="12%">Quantity</th>

												<th class="text-center" style="padding:5px; border-bottom:1px solid #818181 !important;" width="12%">Rate</th>

												<th class="text-center" style="padding:5px; border-bottom:1px solid #818181 !important;" width="12%">Discount (%)</th>

												

												<th class="text-center" style="padding:5px; border-bottom:1px solid #818181 !important;" width="14%">Amount</th>

											</tr>

											

											<?php

												$sql2	=	"SELECT * FROM bl_bill_items WHERE in_id='$id'";

												$res2	=	mysqli_query($con, $sql2) or die(mysqli_error($con));

												$j		=	"1";

												while($row2=mysqli_fetch_array($res2)){

											?>

											<tr>

												<td width="6%" style="padding:5px; "><?php echo $j; ?></td>

												<td width="35%" style="padding:5px;"><?php echo $row2['products']; ?></td>

												<td class="text-center" width="10%" style="padding:5px; "><?php echo $row2['qty']; ?></td>

												<td class="text-center" width="10%" style="padding:5px;"><?php echo $row2['rate']; ?></td>

												<td class="text-center" width="10%" style="padding:5px;"><?php echo $row2['discount']; ?></td>

												<td class="text-center" width="10%" style="padding:5px;"><?php echo $row2['amount']; ?></td>

											</tr>

											<?php $j++; } ?>

											

											

											<tr>

												<td colspan="5" style="text-align:right; padding:5px; font-weight:700;  border-top:1px solid #818181 !important;"> 

												<div style="float:left; font-weight: normal; font-size: 12px;"> Amount Chargeable(in words): <b style="font-size: 12px;">&nbsp;<?php echo $row['sum_words']; ?></b></div>

												

												<span style="float:right">Total</span>

												</td>

												<td class="text-center" style="padding:5px; font-weight:700; border-top:1px solid #818181 !important;"><i class="fa fa-inr" aria-hidden="true"></i>

 <?php echo round($row['tot_amt'],2); ?></td>

											</tr>

										</table>	

									</td>

								</tr>

														

								<tr>

									<td style="padding:5px;">

										<u>Bank Account Details</u><br>

										<b><?php echo $row['company']; ?></b>

										<?php if($row['bank']!=""){ ?>										

										<p class="account_bank">

											A/c No: <?php echo $row['account_no']; ?><br>

											Bank: <?php echo $row['bank']; ?><br>

											IFSC: <?php echo $row['ifsc_code']; ?><br>

											Branch: <?php echo $row['branch']; ?>

											

										</p>

										<?php } ?>

									</td>

									<td style="padding:5px; text-align:center;">

										<span><i>For <?php echo $row['company']; ?></i></span><br><br><br><br><br><br>

										<span>Authorised Signatory</span>

									</td>

								</tr>								

								

							</table>

							<h3 style=" font-size: 13px; text-align: center; width: 100%; float: initial; font-weight: normal; color: #383838;">This is a Computer Generated Bill</h3>

						</div>

						

						<div style="width:100%; text-align:center; float:left; margin-bottom:15px; ">

							<a class="btn btn-danger btn-xs" onClick="printDiv('fullWidth');" style="color:#fff; ">Print</a>

							

						</div>

						

			  		</div>

				</div>

		  	</div>

		</div>

	</div>

	  

  	<?php include_once("../include/footer.php"); ?>

</div>



<script src="<?php echo ROOT ?>/dist/js/jquery.min.js"></script> 

<script src="<?php echo ROOT ?>/dist/bootstrap/js/bootstrap.min.js"></script> 

<script src="<?php echo ROOT ?>/dist/js/adminkit.js"></script>

<script src="<?php echo ROOT ?>/dist/plugins/formwizard/jquery-steps.js"></script> 

<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.16.0/jquery.validate.min.js"></script> 



<script>

	function printDiv(divID) {

		var divElements = document.getElementById(divID).innerHTML;

		var oldPage = document.body.innerHTML;

		document.body.innerHTML = 

		  "<html><head><title></title></head><body>" + 

		  divElements + "</body>";

		window.print();

		document.body.innerHTML = oldPage;

	}

</script>



</body>

</html>

