<?php include_once("../include/config.php"); ?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
	<title><?php echo TITLE; ?></title>
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" href="<?php echo ROOT ?>/dist/bootstrap/css/bootstrap.min.css">
	<link rel="icon" type="image/png" sizes="16x16" href="<?php echo ROOT ?>/dist/img/favicon-16x16.png">
	<link href="https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700" rel="stylesheet">
	<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/style.css">
	<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/font-awesome/css/font-awesome.min.css">
	<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/et-line-font/et-line-font.css">
	<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/themify-icons/themify-icons.css">
	<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/simple-lineicon/simple-line-icons.css">
	<link rel="stylesheet" href="<?php echo ROOT ?>/dist/plugins/chartist-js/chartist.min.css">
	<link rel="stylesheet" href="<?php echo ROOT ?>/dist/plugins/chartist-js/chartist-plugin-tooltip.css">
    <style>
		.fa { color:#fff; }
	</style>
</head>
<body class="skin-blue sidebar-mini">
<div class="wrapper boxed-wrapper">
  	
	<?php include_once("../include/header.php"); ?>
  
  	<div class="content-wrapper"> 
		<div class="content-header sty-one">
		  <h1>CRM Dashboard</h1>
		  <ol class="breadcrumb">
			<li><a href="#">Home</a></li>
			<li><i class="fa fa-angle-right"></i> CRM Dashboard</li>
		  </ol>
		</div>
        
        <?php
			$sql1	=	"SELECT * FROM bl_products WHERE delStatus='0'";
			$res1	=	mysqli_query($con, $sql1) or die(mysqli_error($con));
			$num1	=	mysqli_num_rows($res1);
			
			$sql2	=	"SELECT * FROM bl_customer WHERE delStatus='0'";
			$res2	=	mysqli_query($con, $sql2) or die(mysqli_error($con));
			$num2	=	mysqli_num_rows($res2);
			
			$sql3	=	"SELECT * FROM bl_invoice WHERE delStatus='0'";
			$res3	=	mysqli_query($con, $sql3) or die(mysqli_error($con));
			$num3	=	mysqli_num_rows($res3);
			
			$sql4	=	"SELECT SUM(final_cost) as tot FROM bl_invoice WHERE delStatus='0'";
			$res4	=	mysqli_query($con, $sql4) or die(mysqli_error($con));
			$num4	=	mysqli_num_rows($res4);
			$row4	=	mysqli_fetch_array($res4);
		
			$tot	=	$row4['tot'];
			if($tot==""){
				$tot	=	"0";
			} else {
				$tot	=	$row4['tot'];
			}
		?>
        
        
    
		<div class="content">
		  <div class="row">
			<div class="col-lg-3 col-sm-6 col-xs-12 m-b-3">
			  <div class="card">
				<div class="card-body box-rounded box-gradient"> <span class="info-box-icon bg-transparent"><i class="fa fa-shopping-cart" aria-hidden="true"></i></span>
				  <div class="info-box-content">
					<h6 class="info-box-text text-white">Products</h6>
					<h1 class="text-white"><?php echo $num1; ?></h1>
					<span class="progress-description text-white"> Last Month <?php echo $num1; ?></span> </div>
				</div>
			  </div>
			</div>
			<div class="col-lg-3 col-sm-6 col-xs-12 m-b-3">
			  <div class="card">
				<div class="card-body box-rounded box-gradient-4"> <span class="info-box-icon bg-transparent"><i class="ti-face-smile text-white"></i></span>
				  <div class="info-box-content">
					<h6 class="info-box-text text-white">Customers</h6>
					<h1 class="text-white"><?php echo $num2; ?></h1>
					<span class="progress-description text-white"> Last Month <?php echo $num1; ?></span> </div>
				</div>
			  </div>
			</div>
			<div class="col-lg-3 col-sm-6 col-xs-12 m-b-3">
			  <div class="card">
				<div class="card-body box-rounded box-gradient-2"> <span class="info-box-icon bg-transparent"><i class="ti-bar-chart text-white"></i></span>
				  <div class="info-box-content">
					<h6 class="info-box-text text-white">Invoice</h6>
					<h1 class="text-white"><?php echo $num3; ?></h1>
					<span class="progress-description text-white">  Last Month <?php echo $num3; ?> </span> </div>
				</div>
			  </div>
			</div>
			<div class="col-lg-3 col-sm-6 col-xs-12 m-b-3">
			  <div class="card">
				<div class="card-body box-rounded box-gradient-3"> <span class="info-box-icon bg-transparent"><i class="fa fa-inr" aria-hidden="true"></i></span>
				  <div class="info-box-content">
					<h6 class="info-box-text text-white">Invoice Amount</h6>
					<h1 class="text-white"> <?php echo $tot; ?></h1>
					<span class="progress-description text-white"> Last Month <?php echo $tot; ?> </span> </div>
				</div>
			  </div>
			</div>
		  </div>
		  <!-- /.row -->
		  
		</div>
    <!-- /.content --> 
  </div>
  	<?php include_once("../include/footer.php"); ?>
</div>

<script src="<?php echo ROOT ?>/dist/js/jquery.min.js"></script> 
<script src="<?php echo ROOT ?>/dist/bootstrap/js/bootstrap.min.js"></script>
<script src="<?php echo ROOT ?>/dist/js/adminkit.js"></script> 
<script src="<?php echo ROOT ?>/dist/plugins/peity/jquery.peity.min.js"></script> 
<script src="<?php echo ROOT ?>/dist/plugins/functions/jquery.peity.init.js"></script> 
<script src="<?php echo ROOT ?>/dist/plugins/chartist-js/chartist.min.js"></script> 
<script src="<?php echo ROOT ?>/dist/plugins/chartist-js/chartist-plugin-tooltip.js"></script> 
<script src="<?php echo ROOT ?>/dist/plugins/functions/chartist-init.js"></script>
</body>
</html>
