<?php include_once("../include/config.php"); ?>

<!DOCTYPE html>

<html lang="en">

<head>

<meta charset="utf-8">

<meta http-equiv="X-UA-Compatible" content="IE=edge">

<title><?php echo TITLE ?></title>

<meta name="viewport" content="width=device-width, initial-scale=1">

<link rel="stylesheet" href="<?php echo ROOT ?>/dist/bootstrap/css/bootstrap.min.css">

<link rel="icon" type="image/png" sizes="16x16" href="<?php echo ROOT ?>/dist/img/favicon-16x16.png">

<link href="https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700" rel="stylesheet">

<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/style.css">

<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/font-awesome/css/font-awesome.min.css">

<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/et-line-font/et-line-font.css">

<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/themify-icons/themify-icons.css">

<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/simple-lineicon/simple-line-icons.css">

<link rel="stylesheet" href="<?php echo ROOT ?>/dist/plugins/datatables/css/dataTables.bootstrap.min.css">

<style>

	.mar_bot_10{ margin-bottom:10px;}

	.btn1 { font-size: 11px; padding: 2px 10px; margin-bottom: 0px; margin-top: 0px; }

	.btn2 { font-size: 11px; padding: 5px 10px; margin-top:0px; color: #fff; }

	.search_table{ display:none; margin-top:10px; } 

	.form_45{ float:left; width:48%;}

	.table-bordered>tbody>tr>td{ font-size: 12px !important; vertical-align: middle; padding: 6px 6px; }

	.form_right_m{ float:right; }

	.form-control { height: 30px; font-size: 10px !important; }

	select.form-control:not([size]):not([multiple]) { height: 30px; }

</style>

</head>

<body class="skin-blue sidebar-mini">

<div class="wrapper boxed-wrapper">

  <?php include_once("../include/header.php"); ?>

  

  	<div class="content-wrapper"> 

    	

		<div class="content-header sty-one">

			<h1>View Bill</h1>

			<ol class="breadcrumb">

				<li><a href=".">Home</a></li>

				<li><i class="fa fa-angle-right"></i> View Bill</li>

			</ol>

    	</div>

    

		<div class="content">

			

			<div class="card mar_bot_10" >

		  		<div class="card-body" style=" padding:15px 15px; ">

					<div class="search_details">

						<script>

							

							function advance_search(){	

								var from_date			=	$('#from_date').val();

								var to_date				=	$('#to_date').val();

								var company_id		=	$('#company_id').val();											

								//alert(to_date);											

								$.ajax({

									url		:	'view_bill_ajax.php',

									type	:	'POST',

									data	:	{ 'search' : 'search', 'from_date' : from_date, 'to_date' : to_date, 'company_id' : company_id },

									success	:	function(data) {														

										$('.search_results').html(data);

									}

									

								});

							}

							

							function view_table(){	

								$('.search_table').toggle();

							}										

						</script>

						

						<a href="javascript:void(0)" class="btn btn-danger search_btn btn1" onClick="view_table()">Advance Search</a>

						<table class="table table-bordered search_table" style="border-collapse: collapse; border-spacing: 0; width: 100%; margin-bottom:10px; ">

							<tr>

								<th colspan="6">Search</th>

							</tr>										

							<tr>

								<td width="10%">Type</td>

								<td width="15%">

									

									<select name="company_id" id="company_id" class="form-control"  required onChange="view_in(this.value)">

										<option value="">-Select-</option>

										<?php 

											$sql2	=	"SELECT * FROM bl_company WHERE delStatus='0'";

											$res2	=	mysqli_query($con, $sql2) or die(mysqli_error($con));

											while($row2=mysqli_fetch_array($res2)){

										?>

										<option value="<?php echo $row2['id'] ?>"><?php echo $row2['company'] ?></option>

										<?php } ?>

									</select>

									

								</td>

								<td width="10%">Date</td>

								<td width="30%">

									<input type="date" name="from_date" id="from_date" value="" class="form-control form_45 form_left_m" />

									<input type="date" name="to_date" id="to_date" value="" class="form-control form_45 form_right_m" />

								</td>

								<td colspan="2">

									<input type="button" name="search" value="Search" class="btn btn-danger btn-xs btn2 " onClick="advance_search()">

									<input type="button" name="search" value="Clear" class="btn btn-warning btn-xs btn2" onClick="window.location.href=window.location.href">

								</td>

							</tr>										

						</table>							

					</div>

		  		</div>

		  	</div>

		

		

		  	<div class="card">

		  		<div class="card-body search_results">

					<?php include_once("view_bill_ajax.php") ?>

		  		</div>

		  	</div>

		</div>

		

  	</div>

	

 	<?php include_once("../include/footer.php"); ?>

	

</div>



<script src="<?php echo ROOT ?>/dist/js/jquery.min.js"></script>

<script src="<?php echo ROOT ?>/dist/plugins/popper/popper.min.js"></script>

<script src="<?php echo ROOT ?>/dist/bootstrap/js/bootstrap.min.js"></script>

<script src="<?php echo ROOT ?>/dist/js/adminkit.js"></script>

<script src="<?php echo ROOT ?>/dist/plugins/datatables/jquery.dataTables.min.js"></script> 

<script src="<?php echo ROOT ?>/dist/plugins/datatables/dataTables.bootstrap.min.js"></script> 

<script>

  $(function () {

    $('#example1').DataTable()

    $('#example2').DataTable({

      'paging'      : true,

      'lengthChange': false,

      'searching'   : false,

      'ordering'    : true,

      'info'        : true,

      'autoWidth'   : false

    })

  })

</script>

<script src="<?php echo ROOT ?>/dist/plugins/table-expo/filesaver.min.js"></script>

<script src="<?php echo ROOT ?>/dist/plugins/table-expo/xls.core.min.js"></script>

<script src="<?php echo ROOT ?>/dist/plugins/table-expo/tableexport.js"></script>

</body>

</html>

