<?php include_once("../include/config.php"); ?>
<div class="table-responsive">
	<table id="example1" class="table table-bordered table-hover" data-name="cool-table">
		<thead>
			<tr>
				<th>#</th>
				<th>Date</th>
				<th>Company</th>
				<th>Customer</th>
				<th>Invoice No.</th>
				<th>Total Amount</th>
				<th class="text_center">Action</th>
			</tr>
		</thead>
		<tbody>
			<?php
				$company_id		=	$_POST['company_id'];
				$from_date		=	$_POST['from_date'];
				$to_date		=	$_POST['to_date'];
			
				$sql	=	"SELECT b.*, c.company, cs.company_name, cs.name
							FROM bl_bill b
							LEFT JOIN bl_company c ON c.id=b.company_id
							LEFT JOIN bl_customer cs ON cs.id=b.customer_id
							WHERE b.delStatus='0' ";
							
				if(!empty($company_id)){
					$sql	.=	" AND b.company_id = '$company_id'";
				}	
				
				if(!empty($from_date)){
					$sql	.=	" AND b.date BETWEEN '$from_date' AND '$to_date'";
				}					
							
				$sql	.=	" ORDER BY b.id DESC";			
							
				$res	=	mysqli_query($con, $sql) or die(mysqli_error($con));
				$i		=	"1";
				while($row=mysqli_fetch_array($res)){
			?>
			<tr>
				<td><?php echo $i; ?></td>
				<td><?php echo date("d-m-Y", strtotime($row['date'])); ?></td>
				<td><?php echo $row['company']; ?></td>
				<td><?php echo ($row['company_name']=="" ? $row['name'] : $row['company_name']); ?></td>
				<td><?php echo $row['bill_no']; ?></td>
				<td><?php echo $row['tot_amt']; ?></td>
				<td class="text_center">
					<a href="edit_bill.php?id=<?php echo $row['id'] ?>&s=<?php echo $url ?>" title="Edit"> <i class="fa fa-pencil-square-o" aria-hidden="true"></i> </a> &nbsp; &nbsp;
					<a href="delete_bill.php?id=<?php echo $row['id'] ?>&s=<?php echo $url ?>" title="Delete" onClick="return confirm('Are you sure?')"> <i class="fa fa-trash" aria-hidden="true"></i> </a >&nbsp; &nbsp;
					<a href="print_bill.php?id=<?php echo $row['id'] ?>&s=<?php echo $url ?>" title="Full Page Print" target="_blank"> <i class="fa fa-print" aria-hidden="true" style="font-size:15px;"></i> </a>&nbsp; &nbsp;
					<a href="print_bill2.php?id=<?php echo $row['id'] ?>&s=<?php echo $url ?>" title="Half Page Print" target="_blank" > <i class="fa fa-print" aria-hidden="true" style="font-size:15px; color:#9c27b0"></i> </a>
					
				</td>
			</tr>
			<?php $i++; } ?>								
		</tbody>
		
	</table>
</div>




<script>
  $(function () {
    $('#example1').DataTable()
    $('#example2').DataTable({
      'paging'      : true,
      'lengthChange': false,
      'searching'   : false,
      'ordering'    : true,
      'info'        : true,
      'autoWidth'   : false
    })
  })
</script>